MPINSERT(1)

NAME
mpinsert - insert song after currently playing song

SYNOPSIS
mpinsert [-n] [song ...]

DESCRIPTION
mpinsert inserts a song (or songs) into the playlist directly after the currently playing song.

If no songs are specified on the command line, it will read a list from stdin.

Songs may be specified the same as they would be to mpc add: As paths to files in the music database, or urls to stream.

You can also enter the name of a playlist, or part of the name of an album, artist, or song. Matching items will be added to the playlist.

(If the perl String::Approx module is available, it will be used to handle typos, etc in the names you enter.)

OPTIONS

-n  Print the playlist position number that the first song was inserted at.

-p  Play the song after inserting it.

AUTHOR
Copyright 2007-2009 Joey Hess <joey@kitenet.net>

Licensed under the GNU GPL version 2 or higher.

http://kitenet.net/~joey/code/mpdtoys